Deployments.ai Docs
Agents

Show an agent deployment

GET /v1/agent-deployments/{id} · SDK getAgentDeployment · CLI deployments deployment show

GET
/v1/agent-deployments/{id}

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentDeploymentResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range0 <= value <= 9007199254740991
environmentId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
projectId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
agentDefinitionId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
agentReleaseId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
candidateAgentReleaseId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
candidateStartedAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
candidateWeight?integer
Range1 <= value <= 99
currentState*string
Value in"deploying""failed""paused""ready""stopped"
desiredState*string
Value in"paused""running""stopped"
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
lastTransitionAt?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
runtimeConfig?
curl -X GET "https://example.com/v1/agent-deployments/string" \  -H "x-deployments-environment: string"
{  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 0,  "environmentId": "string",  "organizationId": "string",  "projectId": "string",  "agentDefinitionId": "string",  "agentReleaseId": "string",  "candidateAgentReleaseId": "string",  "candidateStartedAt": "2019-08-24T14:15:22Z",  "candidateWeight": 1,  "currentState": "deploying",  "desiredState": "paused",  "id": "string",  "lastTransitionAt": "2019-08-24T14:15:22Z",  "runtimeConfig": {    "agentBindings": {},    "apiVersion": "agents.deployments.ai/v1",    "brainRetrievalMode": "brain-first",    "kind": "AgentDeploymentConfig",    "toolAuthorizations": {}  }}